import AuditStatus from './AuditStatus'
import AuditButtonGroup from './AuditButtonGroup'
import Pagination from './Pagination'
import ParamList from './ParamList'
import PermissionButton from './PermissionButton'
import PreviewImage from './PreviewImage'

const install = (Vue) => {
  Vue.component(AuditStatus.name, AuditStatus)
  Vue.component(AuditButtonGroup.name, AuditButtonGroup)
  Vue.component(Pagination.name, Pagination)
  Vue.component(ParamList.name, ParamList)
  Vue.component(PermissionButton.name, PermissionButton)
  Vue.component(PreviewImage.name, PreviewImage)
}

export default {
  install
}
